Bug 1851492 - Limit collected log size
Summary: Limit collected log size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.z
Assignee: Alexandre Vicenzi
QA Contact: Angelina Nikiforova
Radek Vokál
URL:
Whiteboard:
Depends On: 1851491
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-26 17:30 UTC by Vadim Rutkovsky
Modified: 2020-08-17 20:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1851491
Environment:
Last Closed: 2020-08-17 20:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift insights-operator pull 128 None open Bug 1851492: [release-4.5] clusterconfig.go: limit the size of collected logs 2020-08-06 02:03:55 UTC
Red Hat Product Errata RHBA-2020:3330 None None None 2020-08-17 20:05:42 UTC

Description Vadim Rutkovsky 2020-06-26 17:30:55 UTC
+++ This bug was initially created as a clone of Bug #1851491 +++

Instead of limiting a number of lines we fetch from container Insights operator should estimate how many bytes would be written (based on available log budget and number of unhealthy containers). This would ensure large log lines don't affect bundle size

Comment 3 Angelina Nikiforova 2020-08-07 13:29:55 UTC
Fixed and verified in 4.5.0-0.nightly-2020-08-07-024812

Comment 5 errata-xmlrpc 2020-08-17 20:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.